summaryrefslogtreecommitdiff
path: root/tests/sort
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-05-20 16:51:40 +0000
committerJim Meyering <jim@meyering.net>1999-05-20 16:51:40 +0000
commitd60127857cd7e3c15ed06103dc902d609c344006 (patch)
treeb0a1c6fbe14b3344d005b7e6513413f64b4baec2 /tests/sort
parent0a4ebdb1d384ccb8cb7163a48ca78752d50a80ab (diff)
downloadcoreutils-d60127857cd7e3c15ed06103dc902d609c344006.tar.xz
.
Diffstat (limited to 'tests/sort')
-rw-r--r--tests/sort/Makefile.am5
-rw-r--r--tests/sort/Makefile.in5
-rwxr-xr-xtests/sort/sort-tests19
3 files changed, 24 insertions, 5 deletions
diff --git a/tests/sort/Makefile.am b/tests/sort/Makefile.am
index 366211728..9ff0290cc 100644
--- a/tests/sort/Makefile.am
+++ b/tests/sort/Makefile.am
@@ -19,7 +19,8 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
15c.X 15d.I 15d.X 15e.I 15e.X 16a.I 16a.X 17.I 17.X 18a.I 18a.X 18b.I 18b.X \
18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X 21a.I \
21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X 21g.I 21g.X \
-22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X neg-nls.I neg-nls.X
+22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X neg-nls.I neg-nls.X nul-nls.I \
+nul-nls.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
@@ -37,7 +38,7 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E 21a.O \
21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E 21g.O 21g.E \
22a.O 22a.E 22b.O 22b.E no-file1.O no-file1.E o-no-file1.O o-no-file1.E \
-neg-nls.O neg-nls.E
+neg-nls.O neg-nls.E nul-nls.O nul-nls.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/sort/Makefile.in b/tests/sort/Makefile.in
index 4da1ea82f..e71de7e13 100644
--- a/tests/sort/Makefile.in
+++ b/tests/sort/Makefile.in
@@ -113,7 +113,8 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
15c.X 15d.I 15d.X 15e.I 15e.X 16a.I 16a.X 17.I 17.X 18a.I 18a.X 18b.I 18b.X \
18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X 21a.I \
21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X 21g.I 21g.X \
-22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X neg-nls.I neg-nls.X
+22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X neg-nls.I neg-nls.X nul-nls.I \
+nul-nls.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
@@ -132,7 +133,7 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E 21a.O \
21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E 21g.O 21g.E \
22a.O 22a.E 22b.O 22b.E no-file1.O no-file1.E o-no-file1.O o-no-file1.E \
-neg-nls.O neg-nls.E
+neg-nls.O neg-nls.E nul-nls.O nul-nls.E
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/sort/sort-tests b/tests/sort/sort-tests
index 155767268..4c84aa330 100755
--- a/tests/sort/sort-tests
+++ b/tests/sort/sort-tests
@@ -1837,8 +1837,25 @@ else
esac
fi
test -s neg-nls.E || rm -f neg-nls.E
+$xx $srcdir/nul-nls.I > nul-nls.O 2> nul-nls.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test nul-nls failed: ../../src/sort return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp nul-nls.O $srcdir/nul-nls.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed nul-nls"; fi ;;
+ 1) $echo "Test nul-nls failed: files nul-nls.O and $srcdir/nul-nls.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test nul-nls may have failed." 1>&2;
+ $echo The command "cmp nul-nls.O $srcdir/nul-nls.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s nul-nls.E || rm -f nul-nls.E
if test $errors = 0 ; then
- $echo Passed all 107 tests. 1>&2
+ $echo Passed all 108 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi